org.apache.ignite.internal.processors.rest.protocols.tcp

## Class GridTcpRestParser.HeaderData

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.protocols.tcp.GridTcpRestParser.HeaderData

Enclosing class:
  GridTcpRestParser

    protected static class GridTcpRestParser.HeaderData
    extends Object

Header.

### Method Summary

Methods
`UUID` `clientId()`
`UUID` `destinationId()`
`long` `reqId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### reqId

    public long reqId()

Returns:
  Request Id.

#### clientId

    public UUID clientId()

Returns:
  Client Id.

#### destinationId

    public UUID destinationId()

Returns:
  Destination Id.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016